Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77528 - Holding page key down does not scroll down - instead it loops back and forth
Summary: Holding page key down does not scroll down - instead it loops back and forth
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gedit
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 16:34 UTC by Michael Lee Yohe
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:25:44 UTC


Attachments (Terms of Use)

Description Michael Lee Yohe 2002-11-08 16:34:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When I hold the page key down to rapidly scroll one page at a time down in a
document, it will scroll down a couple pages and then loop back and forth
between two pages.

However, if you scroll down and then hold page up down - it works without a problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load a document that is multiple pages long in gedit.
2. Hold the page down key.
	

Actual Results:  It will drop down a couple pages worth of text, but then loop
back and forth in the document between two pages.

Expected Results:  It should rapidly scroll down.

Additional info:

Running on a Pentium 4 2.4GHz box.
gedit-2.0.2-5

Comment 1 Havoc Pennington 2002-11-08 17:00:44 UTC
There's an existing bug report for this against gtk+/GtkTextView on 
bugzilla.gnome.org

Comment 2 Havoc Pennington 2002-12-20 01:53:37 UTC
Hmm, I can't find the upstream bug.

Anyway I believe it's a general GtkTextView problem, not gedit specific.

Comment 3 Matthias Clasen 2002-12-26 19:59:38 UTC
How about http://bugzilla.gnome.org/show_bug.cgi?id=78513 ? Already closed.

Comment 4 Havoc Pennington 2003-01-13 02:25:44 UTC
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103261 by automated script
but I see that's a dup.



Note You need to log in before you can comment on or make changes to this bug.